from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XPopupMenuController(XInterface, Protocol):
    def setPopupMenu(self, PopupMenu: XPopupMenu) -> None: ...
    def updatePopupMenu(self) -> None: ...
